#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ESteamTVContentTemplate {
    Invalid = 0,
    Takeover = 1,
    SingleGame = 2,
    GameList = 3,
    QuickExplore = 4,
    ConveyorBelt = 5,
    WatchParty = 6,
    Developer = 7,
    Event = 8,
}

impl ESteamTVContentTemplate {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::Takeover as i32 => Some(Self::Takeover),
            x if x == Self::SingleGame as i32 => Some(Self::SingleGame),
            x if x == Self::GameList as i32 => Some(Self::GameList),
            x if x == Self::QuickExplore as i32 => Some(Self::QuickExplore),
            x if x == Self::ConveyorBelt as i32 => Some(Self::ConveyorBelt),
            x if x == Self::WatchParty as i32 => Some(Self::WatchParty),
            x if x == Self::Developer as i32 => Some(Self::Developer),
            x if x == Self::Event as i32 => Some(Self::Event),
            _ => None,
        }
    }
}
